Card exchange / Meet log

Cancel a card exchange

PUT/card-exchanges/:exchangeId/cancel

The requester cancels the exchange, before or after requesting. Canceling an exchange that no longer exists also succeeds.

AuthLogin required

Path parameters

exchangeIdstringrequired

Exchange ID.

Notes

If the other person accepted first, returns 409 (errorCode 40205, status ACCEPTING / ACCEPTED). The exchange has been completed, so move on to the completion screen.

Response

FieldTypeDescription
idstringExchange ID.
Request
curl https://api.4s.link/card-exchanges/EXCHANGE_ID/cancel \
-X PUT \
-H "Authorization: Bearer 4s_at_..."
Example response
{
"id": "6f1c2d3e-..."
}